public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-ftp/lftp/
Date: Sat, 11 Mar 2017 06:44:21 +0000 (UTC)	[thread overview]
Message-ID: <1489214645.2d6651f17f804cb44d5c97514c3fd25a9d0f637b.jer@gentoo> (raw)

commit:     2d6651f17f804cb44d5c97514c3fd25a9d0f637b
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 11 06:44:05 2017 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sat Mar 11 06:44:05 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d6651f1

net-ftp/lftp: Version bump.

Package-Manager: Portage-2.3.4, Repoman-2.3.2

 net-ftp/lftp/Manifest          |  1 +
 net-ftp/lftp/lftp-4.7.7.ebuild | 93 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/net-ftp/lftp/Manifest b/net-ftp/lftp/Manifest
index a0cfe5c3f5a..29be75bbabe 100644
--- a/net-ftp/lftp/Manifest
+++ b/net-ftp/lftp/Manifest
@@ -1,2 +1,3 @@
 DIST lftp-4.7.5.tar.xz 1567232 SHA256 53b5c5eba2e38b418bcf451776f2df596050dff4db90ab4ea73d872f8b1fd0d8 SHA512 e7d478367a3b79f61686a538827efe8afb807a587d2967189ae351927e3acb0d5b097d8707e0cb3997aa650f8f0787aa44038bb1d081e393bc7202b348249960 WHIRLPOOL 12d53a4c51ee52b67e57dc2e1c2c90443a65964073ee05ce123211096ea82813efbc51345ea488c24aa00600818ce6c0cd96beef27de619ff5d938bef3cabd06
 DIST lftp-4.7.6.tar.xz 1571244 SHA256 6e26254fdc7e1b92ceb31116a2c7bdcd891a07c72a7823144aaaf147a1841b7b SHA512 3ba9c2448eff8a991e3b2bb4e3e9553b4a189a630addb1be00842b88db378dbddf865300ee43e149963d0044eacfa97c66a46528bbe6f6292cefd1370655978a WHIRLPOOL 67ff283dc7a1bdb42f88f31c3c26689e59d46e83d088aa08666b66c4dd1439a34076f9b9b5ded3ca3592b65d77473dd05fcf7faff17e69808fb6ed6a19c28521
+DIST lftp-4.7.7.tar.xz 1572604 SHA256 4483df04502660dcc65a11cf09d530e31bea99483d69328c1c5cbaa41d6619b4 SHA512 25bcb5469a6202be500a350078f604a56e68958210fbed72c59b2c4847fb6b2680335bf668a512055d1e1db84069e13ba5c169a6ca2fefdf77ef6416df261ab7 WHIRLPOOL 3e27d60f0b92fc3fd055961f4377cf43e8607db442dbf4b54f2e9d0348488da98fff5b071a6f518a140e15349571d7c542062d172ca9e4439bde1118e5d3f5eb

diff --git a/net-ftp/lftp/lftp-4.7.7.ebuild b/net-ftp/lftp/lftp-4.7.7.ebuild
new file mode 100644
index 00000000000..cf03aea8efe
--- /dev/null
+++ b/net-ftp/lftp/lftp-4.7.7.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools eutils libtool
+
+DESCRIPTION="A sophisticated ftp/sftp/http/https/torrent client and file transfer program"
+HOMEPAGE="http://lftp.tech/"
+SRC_URI="${HOMEPAGE}ftp/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+
+IUSE="convert-mozilla-cookies +gnutls idn ipv6 libressl nls socks5 +ssl verify-file"
+LFTP_LINGUAS=( cs de es fr it ja ko pl pt_BR ru uk zh_CN zh_HK zh_TW )
+IUSE+=" ${LFTP_LINGUAS[@]/#/linguas_}"
+
+RDEPEND="
+	>=sys-libs/ncurses-5.1:=
+	>=sys-libs/readline-5.1:=
+	dev-libs/expat
+	sys-libs/zlib
+	convert-mozilla-cookies? ( dev-perl/DBI )
+	idn? ( net-dns/libidn )
+	socks5? (
+		>=net-proxy/dante-1.1.12
+		virtual/pam
+	)
+	ssl? (
+		gnutls? ( >=net-libs/gnutls-1.2.3:0= )
+		!gnutls? (
+			!libressl? ( dev-libs/openssl:0= )
+			libressl? ( dev-libs/libressl:0= )
+		)
+	)
+	verify-file? (
+		dev-perl/String-CRC32
+		virtual/perl-Digest-MD5
+	)
+"
+
+DEPEND="
+	${RDEPEND}
+	=sys-devel/libtool-2*
+	app-arch/xz-utils
+	nls? ( >=sys-devel/gettext-0.19 )
+	virtual/pkgconfig
+"
+
+DOCS=(
+	BUGS ChangeLog FAQ FEATURES MIRRORS NEWS README README.debug-levels
+	README.dnssec README.modules THANKS TODO
+)
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-4.0.2.91-lafile.patch \
+	"${FILESDIR}"/${PN}-4.5.5-am_config_header.patch \
+	"${FILESDIR}"/${PN}-4.7.0-gettext.patch
+)
+
+src_prepare() {
+	default
+
+	eautoreconf
+	elibtoolize # for Darwin bundles
+
+	# bug #536036
+	printf 'set fish:auto-confirm no\nset sftp:auto-confirm no\n' >> ${PN}.conf || die
+}
+
+src_configure() {
+	econf \
+		$(use_enable ipv6) \
+		$(use_enable nls) \
+		$(use_with idn libidn) \
+		$(use_with socks5 socksdante "${EPREFIX}"/usr) \
+		$(usex ssl "$(use_with !gnutls openssl ${EPREFIX}/usr)" '--without-openssl') \
+		$(usex ssl "$(use_with gnutls)" '--without-gnutls') \
+		--enable-packager-mode \
+		--sysconfdir="${EPREFIX}"/etc/${PN} \
+		--with-modules \
+		--with-readline="${EPREFIX}"/usr \
+		--without-included-regex
+}
+
+src_install() {
+	default
+	local script
+	for script in {convert-mozilla-cookies,verify-file}; do
+		use ${script} || { rm "${ED}"/usr/share/${PN}/${script} || die ;}
+	done
+}


             reply	other threads:[~2017-03-11  6:44 UTC|newest]

Thread overview: 101+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-03-11  6:44 Jeroen Roovers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-05-07 12:34 [gentoo-commits] repo/gentoo:master commit in: net-ftp/lftp/ Conrad Kostecki
2023-05-07 12:34 Conrad Kostecki
2023-04-23  5:38 Sam James
2022-11-05 19:48 Conrad Kostecki
2022-06-29 22:13 Conrad Kostecki
2022-06-16 16:30 Sam James
2022-04-28  7:39 Yixun Lan
2021-11-30  7:00 Lars Wendler
2021-07-02  5:56 Sergei Trofimovich
2021-05-01 20:44 Sergei Trofimovich
2021-01-06 14:37 Fabian Groffen
2020-11-14 19:52 Sergei Trofimovich
2020-11-13  4:57 Sam James
2020-11-04 10:42 Sergei Trofimovich
2020-11-04  9:23 Sam James
2020-11-04  8:16 Sergei Trofimovich
2020-11-04  7:58 Sergei Trofimovich
2020-11-04  7:53 Sergei Trofimovich
2020-11-03 22:58 Lars Wendler
2020-11-03 22:39 Sergei Trofimovich
2020-11-03 22:32 Sergei Trofimovich
2020-08-14  7:26 Jeroen Roovers
2020-07-23 12:47 Kent Fredric
2019-10-12 19:29 Mikle Kolyada
2019-05-03  7:11 Sergei Trofimovich
2019-05-02 21:00 Mikle Kolyada
2019-05-02  5:03 Markus Meier
2019-04-26 20:35 Sergei Trofimovich
2019-04-24 21:33 Thomas Deutschmann
2019-04-23 19:28 Mikle Kolyada
2019-03-03 13:11 Jeroen Roovers
2019-01-06 14:58 Jeroen Roovers
2018-08-27  5:27 Jeroen Roovers
2018-08-09 21:15 Jeroen Roovers
2018-08-07  7:04 Jeroen Roovers
2018-08-07  7:04 Jeroen Roovers
2018-02-03 11:38 Jeroen Roovers
2018-01-05 22:02 Ulrich Müller
2017-10-11 21:55 Jeroen Roovers
2017-10-11 21:55 Jeroen Roovers
2017-09-28 21:14 Jeroen Roovers
2017-09-28 21:14 Jeroen Roovers
2017-09-17  9:07 Jeroen Roovers
2017-09-17  9:07 Jeroen Roovers
2017-08-31 10:52 Jeroen Roovers
2017-08-10 12:46 Jeroen Roovers
2017-08-10 12:46 Jeroen Roovers
2017-07-17 20:48 Jeroen Roovers
2017-07-06  9:58 Jeroen Roovers
2017-03-11  6:44 Jeroen Roovers
2017-02-24 23:14 Michael Weber
2017-02-15 13:49 Tobias Klausmann
2017-02-15  7:16 Jeroen Roovers
2017-02-09 14:37 Agostino Sarubbo
2017-02-08 18:43 Jeroen Roovers
2017-02-08 13:59 Jeroen Roovers
2017-01-21 14:10 Jeroen Roovers
2017-01-06 14:33 Tobias Klausmann
2017-01-02 10:59 Jeroen Roovers
2016-12-30  9:39 Agostino Sarubbo
2016-12-29  7:55 Aaron Bauman
2016-11-17  8:00 Jeroen Roovers
2016-11-07 17:45 Jeroen Roovers
2016-11-05  9:55 Jeroen Roovers
2016-11-05  9:55 Jeroen Roovers
2016-10-05 18:51 Markus Meier
2016-09-21 17:48 Tobias Klausmann
2016-09-18  9:02 Jeroen Roovers
2016-07-18 12:26 Jeroen Roovers
2016-07-18 12:26 Jeroen Roovers
2016-07-01  5:30 Jeroen Roovers
2016-06-11  5:40 Benda XU
2016-06-09 15:58 Anthony G. Basile
2016-06-08 19:28 Markus Meier
2016-06-01 11:32 Tobias Klausmann
2016-05-20 11:09 Jeroen Roovers
2016-05-20 10:59 Jeroen Roovers
2016-05-20 10:52 José María Alonso
2016-05-19  8:17 Jeroen Roovers
2016-05-14  8:13 Jeroen Roovers
2016-05-14  7:39 Jeroen Roovers
2016-04-15 19:56 Andreas Hüttel
2016-04-04 13:50 Jeroen Roovers
2016-03-28 17:24 Jeroen Roovers
2016-02-03 20:53 Markus Meier
2016-02-03 15:02 Tobias Klausmann
2016-01-24  6:50 Jeroen Roovers
2016-01-23 16:59 Agostino Sarubbo
2015-12-19 10:03 Jeroen Roovers
2015-12-19  9:55 Jeroen Roovers
2015-12-19  9:55 Jeroen Roovers
2015-10-17 11:19 Jeroen Roovers
2015-10-17 10:54 Markus Meier
2015-09-24  7:59 Agostino Sarubbo
2015-09-22  8:57 Agostino Sarubbo
2015-09-20  8:53 Jeroen Roovers
2015-09-19 16:18 Tobias Klausmann
2015-09-19 12:32 Agostino Sarubbo
2015-08-22 10:38 Jeroen Roovers
2015-08-22  4:37 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1489214645.2d6651f17f804cb44d5c97514c3fd25a9d0f637b.jer@gentoo \
    --to=jer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox